### Method

# GUPnP ServiceInfo introspect_finish

#### Declaration [src]

    GUPnPServiceIntrospection*
    gupnp_service_info_introspect_finish (
      GUPnPServiceInfo* info,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finish an asynchronous call initiated with gupnp_service_info_introspect_async().

Available since: | 1.2.2

#### Parameters

`res` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GUPnPServiceIntrospection`
| `NULL`, if the call had an error, a `GUPnPServiceIntrospection` object otherwise.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.